Documentação

ReferênciaAgenda

Agenda de um dia

GET
/agenda
X-API-Key<token>

Chave de API (prefixo nbr_) ou Token de Acesso Pessoal (prefixo pat_)

In: header

Query Parameters

date?string

Dia no formato AAAA-MM-DD (padrão: hoje)

Formatdate
user_id?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/agenda"
{  "date": "2019-08-24",  "timezone": "America/Sao_Paulo",  "tasks": [    {      "id": "tsk_abc123",      "party_id": "string",      "lead_id": "string",      "deal_id": "string",      "title": "string",      "notes": "string",      "due_at": "2019-08-24T14:15:22Z",      "assignee_user_id": "string",      "status": "open",      "completed_at": "2019-08-24T14:15:22Z",      "cancelled_at": "2019-08-24T14:15:22Z",      "overdue": true,      "contact_name": "string",      "assignee_user_name": "string",      "tenant_id": "string",      "organization_id": "string",      "created_by": "string",      "created_by_type": "user",      "updated_by": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "visits": [    {      "id": "vst_abc123",      "party_id": "string",      "lead_id": "string",      "deal_id": "string",      "property_id": "string",      "listing_id": "string",      "scheduled_at": "2019-08-24T14:15:22Z",      "duration_minutes": 0,      "ends_at": "2019-08-24T14:15:22Z",      "reminder_minutes": 0,      "assignee_user_id": "string",      "status": "agendada",      "notes": "string",      "feedback": "string",      "concluded_at": "2019-08-24T14:15:22Z",      "contact_name": "string",      "assignee_user_name": "string",      "property_label": "string",      "tenant_id": "string",      "organization_id": "string",      "created_by": "string",      "created_by_type": "string",      "updated_by": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}
{  "type": "validation",  "title": "Validation Failed",  "status": 400,  "detail": "name is required",  "code": "validation.required",  "instance": "/public/v1/brokers",  "request_id": "req_abc123",  "timestamp": "2026-02-15T12:00:00Z",  "documentation_url": "https://docs.nobur.com.br/errors/validation",  "errors": [    {      "field": "name",      "message": "name is required",      "code": "validation.broker.name_required"    }  ]}
{  "type": "unauthorized",  "title": "Authentication Required",  "status": 401,  "detail": "authentication required",  "code": "unauthorized.auth_required",  "request_id": "req_abc123",  "timestamp": "2026-02-15T12:00:00Z",  "documentation_url": "https://docs.nobur.com.br/errors/unauthorized"}
{  "type": "forbidden",  "title": "Access Denied",  "status": 403,  "detail": "insufficient permissions",  "code": "forbidden.insufficient_permissions",  "request_id": "req_abc123",  "timestamp": "2026-02-15T12:00:00Z",  "documentation_url": "https://docs.nobur.com.br/errors/forbidden"}
{  "type": "rate_limit",  "title": "Rate Limit Exceeded",  "status": 429,  "detail": "rate limit exceeded",  "code": "rate_limit.exceeded",  "retry_after": 60,  "request_id": "req_abc123",  "timestamp": "2026-02-15T12:00:00Z",  "documentation_url": "https://docs.nobur.com.br/errors/rate-limit"}
{  "type": "internal",  "title": "Internal Server Error",  "status": 500,  "detail": "an unexpected error occurred",  "code": "internal.unexpected",  "request_id": "req_abc123",  "timestamp": "2026-02-15T12:00:00Z",  "documentation_url": "https://docs.nobur.com.br/errors/internal"}